# Waffle's Weapons Patchnotes

## 1.2.1 Patchnotes (2023-08-22)

### Fixes
- Mention how you can detonate all mines in the Demo shotgun description.
- The Eepy no longer charges instantly if you swap to it. I don't know how I missed this.
- The description and info for the Singularity now actually mentions that it charges with blood. I am stupid.

## 1.2.0 Patchnotes (2023-08-22)

### Changes
- New Singularity shotgun; alt fire spawns a black hole. Shooting it and parrying it causes it to implode, sucking in enemies
- New Conductor nailgun; replaces Airblast, fires a beam that stuns enemies, and reflects projectiles.
- New E.P. Charger rocket launcher; replaces S.L.F., almost identical except the rocket now pierces and doesn't get destroyed till it hits a wall. Can be shot infinitely.
---
- New Information tab in the terminal; contains strategies for every weapon.
- Alt Fan Fire now has a larger interval inbetween shots, but it can be sped up with the primary fire.
- Desperado now has a constant tone, changing pitch to show proximity to the sweetspot.
- Mindrender no longer uses all the charge at once, it only fires when alt fire is held.
- Mindrender nails, saws, and beam now do more damage.
- Earthshatter is now weaker, but faster to charge.
- Earthshatter no longer launches you back if you fail to kill an enemy.
- Demolitionist now has a cooldown when mines are shot, or all mines are detonated.
- Various visual tweaks, e.g. to the barrels for the Mindrender.
- This update has been in development for months, there's stuff I don't remember.

### Fixes
- I completely rewrote the weapon charges system, so bugs with it, like weapons not charging till you switch to them at least once, should be fixed.
- This update has been in development for months, there's stuff I don't remember.

## 1.1.3 Patchnotes (2023-05-08)

### Fixes
- Actually add some of the stuff from 1.1.2, some was missing because I forgot.

## 1.1.2 Patchnotes (2023-05-08)

### Changes
- Desperado will now make a sound to indicate entering the zone.
- Sticky bombs now detonate when the meter is full and Alt Fire is released, not held.
- Sticky bombs explode in a slightly larger radius.
- Earthshatter now deals damage based on velocity, not charge.
- Earthshatter no longer deals damage, and instead deals hard damage on enemy hit.
- Earthshatter will recharge mid-air if you kill an enemy with it.
- Earthshatter will launch you back if you do not kill the enemy.
- Earthshatter can now punch - less damage than KB, more than FB, faster than both, but no parries.

### Fixes
- Malevolent and Desperado now work with No Weapon Cooldown.
- Earthshatter coin animation is back.

## 1.1.0 Patchnotes (2023-05-06)

### Changes
- New Mindrender nailgun; hitting enemies charges it, and you can release a beam, or homing projectiles if using the sawblade launcher.
- New Desperado revolver; alt firing moves a bar, shooting while the bar is at a certain spot fires a powerful shot that bounces between enemies.
---
- Airblast charge has a new icon.
- Sticky bombs no longer detonate while primed and touching enemies.
- Sticky bombs will now detonate when Alt Fire is held.
- Sticky bombs will now do more damage in a larger radius when primed.
- Virtuous beams that hit the enemy will now take less time to appear.
- Virtuous now has a unique sound and has a beam inside the viewmodel.
- Earthshatter buffed; does more damage.

### Fixes
- Homing S.L.F. rockets will now continue to home, even when you aren't looking directly at an object.
- All weapons work with the Greed power up.
- Fan Fire will now charge exactly once per fan shot, or by 0.5 every non-fan shot.

## 1.0.1 Patchnotes (2023-03-24)

### Changes
- Airblast nails and saws will now propel enemies.
- Earthshatter charges much faster, does less hard and regular damage, and the shockwave it makes when you hit the ground fast has been buffed.
- Right clicking with Demolitionist when it is empty will explode all stickies. Stickies no longer despawn over time.

### Fixes
- The credits button will no longer cover everything.
- Stickies will no longer launch you insanely hard.
- Airblast nails and saws are now magnetic.
- Airblast saws are no longer messed up.
- Misc fixes I don't remember.